### Method

# FwupdPlugin Plugin register_private_flag

since: 2.1.5

#### Declaration [src]

    void
    fu_plugin_register_private_flag (
      FuPlugin* self,
      const gchar* flag
    )

#### Description [src]

Registers a private flag so it can be used by `fu_plugin_add_private_flag()` and fu_plugin_has_private_flag().

Available since: 2.1.5

#### Parameters

`flag`

  Type: `const gchar*`

  A plugin flag.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.